/*****************************************************************************
 *          HOL-TestGen - specification based test case generation
 *                                                                            
 * sort.c - A Simple Bubble Sort Implementation (written in C)
 * Copyright (C) 2005 Achim D. Brucker <brucker@inf.ethz.ch>   
 *                    Burkhart Wolff   <bwolff@inf.ethz.ch>    
 *                                                                            
 * This file is part of HOL-TestGen.                  
 *                                                                            
 * HOL-TestGen is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by the Free   
 * Software Foundation; either version 2 of the License, or (at your option)  
 * any later version.                                                         
 *                                                                            
 * HOL-TestGen is distributed in the hope that it will be useful, but WITHOUT 
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or 
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
 * more details.                                                              
 *                                                                            
 * You should have received a copy of the GNU General Public License along    
 * with this program; if not, write to the Free Software Foundation, Inc.,    
 * 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                  
******************************************************************************/

int* sort (int *list, int n) {
	int tmp=0,i=0,j=0;
	for (i = n-1; i > 0 ;  i--){
		for (j = 0; j <i;  j++){
			if(list[j]<list[j+1]){
				tmp = list[j];
				list[j]=list[j+1];
				list[j+1]=tmp;
			}
		}
	}
	return list;
}
 
